Update subscription
curl --request PATCH \
--url https://dev.api.withconvexity.com/v1/indexer/subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "https://api.merchant.example/webhooks/indexer-v2",
"events": [
"transfer"
],
"status": "paused"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/indexer/subscriptions/{id}"
payload = {
"webhookUrl": "https://api.merchant.example/webhooks/indexer-v2",
"events": ["transfer"],
"status": "paused"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookUrl: 'https://api.merchant.example/webhooks/indexer-v2',
events: ['transfer'],
status: 'paused'
})
};
fetch('https://dev.api.withconvexity.com/v1/indexer/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Indexer subscription updated",
"data": {
"id": "665f0a3b2c1e4a0012ab34cd",
"projectId": "proj_9f2c1a8e",
"network": "BASE",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"webhookUrl": "https://api.merchant.example/webhooks/indexer-v2",
"events": [
"transfer"
],
"status": "paused",
"createdBy": "proj_9f2c1a8e",
"createdAt": "2026-07-01T10:22:31.004Z",
"updatedAt": "2026-07-01T10:22:31.004Z",
"lastDeliveryAt": "2026-07-03T08:14:02.771Z",
"deliveredCount": 128,
"failedCount": 3,
"droppedCount": 0
}
}Blockchain Events
Update subscription
Updates a subscription’s webhook, events, or status. At least one field is required. Requires indexer.subscription.update.
PATCH
/
v1
/
indexer
/
subscriptions
/
{id}
Update subscription
curl --request PATCH \
--url https://dev.api.withconvexity.com/v1/indexer/subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "https://api.merchant.example/webhooks/indexer-v2",
"events": [
"transfer"
],
"status": "paused"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/indexer/subscriptions/{id}"
payload = {
"webhookUrl": "https://api.merchant.example/webhooks/indexer-v2",
"events": ["transfer"],
"status": "paused"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookUrl: 'https://api.merchant.example/webhooks/indexer-v2',
events: ['transfer'],
status: 'paused'
})
};
fetch('https://dev.api.withconvexity.com/v1/indexer/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Indexer subscription updated",
"data": {
"id": "665f0a3b2c1e4a0012ab34cd",
"projectId": "proj_9f2c1a8e",
"network": "BASE",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"webhookUrl": "https://api.merchant.example/webhooks/indexer-v2",
"events": [
"transfer"
],
"status": "paused",
"createdBy": "proj_9f2c1a8e",
"createdAt": "2026-07-01T10:22:31.004Z",
"updatedAt": "2026-07-01T10:22:31.004Z",
"lastDeliveryAt": "2026-07-03T08:14:02.771Z",
"deliveredCount": 128,
"failedCount": 3,
"droppedCount": 0
}
}Authorizations
OAuth 2.0 access token from Auth-Edge.
Path Parameters
Subscription id.
Body
application/json
Response
OK
The response is of type object.
⌘I
